package prolog.ast.arithmetic

import prolog.ast.terms.Atom
import prolog.ast.terms.Operator

abstract class ArithmeticOperator(symbol: Atom, leftOperand: Expression, rightOperand: Expression) :
    Operator(symbol, leftOperand, rightOperand), Expression {
    constructor(symbol: String, leftOperand: Expression, rightOperand: Expression) :
            this(Atom(symbol), leftOperand, rightOperand)
}
